Subject: Re: bug#45038: 27.1; blank display

From: Alan Third <[email-masked]>
Date: Fri, 4 Dec 2020 13:11:25 +0000

On Fri, Dec 04, 2020 at 02:02:03PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 4 Dec 2020 10:53:22 +0000
> > From: Alan Third <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> > 	Devon Sean McCullough <[email-masked]>
> > 
> > > > I think this is a known problem already solved in the repository.  can
> > > > you try building the latest emacs-27 branch?
> > > 
> > > I could have sworn I saw this the other week on master.  If you
> > > believe it is fixed, then perhaps I was using an old version at the
> > > time.  Please ignore me for now, I'll report back if I see it again.
> > 
> > It should be fixed on master, but not in any version of Emacs 27. It's
> > a large change so was never back ported.
> 
> If it isn't reasonable to release Emacs 27.2 with this problem, we may
> wish backporting the change even though it is large.
> 
> How easy is it to bump into this problem, and is there an easy
> workaround when you do?

It's unusual to have the display completely blanking, most people just
see small localised glitches. Usually it can be solved by forcing a
redisplay of some sort, which is what you can see in Devon's example
as he moves the cursor across the lines, which forces redisplay of
those lines.

I would prefer not to back-port to Emacs 27, but if you think it's
necessary I'll give it a go.
-- 
Alan Third